#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;

    if (x1 == x2 || y1 == y2)
    {
        cout << 2;
    }
    else
    {
        if (abs(x1 - x2) == abs(y1 - y2))
        {
            cout << 1;
        }
        else
        {
            cout << 0;
        }
    }

    return 0;
}